> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofilecollection.md).

# ResponsiveProfileCollection

Namespace: **Wisej.Base**

Assembly: **Wisej.Framework** (3.0.0.0)

* [SynchronizedList\<ResponsiveProfile>](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofilecollection.md)
  * [ResponsiveProfileCollection](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofilecollection.md)

Collection of responsive profiles.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ResponsiveProfileCollection : SynchronizedList<>
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ResponsiveProfileCollection
    Inherits SynchronizedList(Of )
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)CurrentProfile

[ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md): Returns the current profile.

### ![](/files/uCY6T77rh488FWHzpJ6P)DefaultProfile

[ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md): Returns the default profile.

### ![](/files/uCY6T77rh488FWHzpJ6P)Item(name)

[ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md): Returns the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) identified by the specified *name* .

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)Add(profile)

Adds a new [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to the collection.

| Parameter   | Type                                                                                 | Description                                                                                                    |
| ----------- | ------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------- |
| **profile** | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to add to the collection. |

### ![](/files/uCY6T77rh488FWHzpJ6P)AddRange(profiles)

Adds a list of [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) objects in the collection..

| Parameter    | Type                                                                                                                  | Description                                                                                                                    |
| ------------ | --------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **profiles** | [IEnumerable\<ResponsiveProfile>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.ienumerable) | List of [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) objects to add to the collection. |

### ![](/files/uCY6T77rh488FWHzpJ6P)Contains(name)

Verifies if the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) identified by the specified *name* is present in the collection.

| Parameter | Type                                                                | Description                                                                                                                   |
| --------- | ------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **name**  | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) | Name of the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to locate in the collection. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean). True if the collection contains a [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) with the specified *name* .

### ![](/files/uCY6T77rh488FWHzpJ6P)Contains(profile)

Checks if the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) instance is already present in the collection.

| Parameter   | Type                                                                                 | Description                                                                                                     |
| ----------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------- |
| **profile** | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to find in the collection. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean).

### ![](/files/uCY6T77rh488FWHzpJ6P)Create(name)

Creates ore retrieves a [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) using the specified *name* .

| Parameter | Type                                                                | Description                                                                                                                |
| --------- | ------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| **name**  | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) | Name of the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to retrieve or to create. |

**Returns:** [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md). Either an existing [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) with the specified *name* or a newly created [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) with the specified *name* .

### ![](/files/uCY6T77rh488FWHzpJ6P)Insert(index, profile)

Inserts a [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) instance into the collection at the specified *index* .

| Parameter   | Type                                                                                 | Description                                                                                                       |
| ----------- | ------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------- |
| **index**   | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32)                    | Position in the collection.                                                                                       |
| **profile** | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) | [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to insert in the collection. |

### ![](/files/uCY6T77rh488FWHzpJ6P)InsertRange(index, profiles)

Inserts a collection of [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) instances into the collection starting at the specified *index* .

| Parameter    | Type                                                                                                                  | Description                                                                                                                              |
| ------------ | --------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| **index**    | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32)                                                     | Position where to insert the *profiles* of [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) objects. |
| **profiles** | [IEnumerable\<ResponsiveProfile>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.ienumerable) | Collection of [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) objects to insert in the collection.  |

### ![](/files/uCY6T77rh488FWHzpJ6P)Remove(name)

Removes the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) with the specified name.

| Parameter | Type                                                                | Description                                                                                                                     |
| --------- | ------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **name**  | [String](https://docs.microsoft.com/en-us/dotnet/api/system.string) | Name of the [ResponsiveProfile](/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofile.md) to remove from the collection. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.base/responsive/wisej.base.responsiveprofilecollection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
